Name: imapsync
Summary: Tool to migrate email between IMAP servers
Version: 1.411
Release: 1%{?dist}
License: WTFPL
Group: Applications/Internet

URL: http://fedorahosted.org/imapsync
Source0: https://fedorahosted.org/released/%{name}/%{name}-%{version}-sources.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Mail::IMAPClient) >= 3.25
Requires: perl(Test::Simple) perl(Authen::NTLM)
Requires: perl(Digest::MD5) perl(Digest::HMAC_MD5)
Requires: perl(Term::ReadKey) perl(IO::Socket::SSL)
Requires: perl(File::Spec) perl(File::Path)
Requires: perl(Mail::IMAPClient) >= 3.25


%description
imapsync is a tool for facilitating incremental recursive IMAP
transfers from one mailbox to another. It is useful for mailbox migration,
and reduces the amount of data transferred by only copying messages that
are not present on both servers. Read, unread, and deleted flags are preserved,
and the process can be stopped and resumed. The original messages can
optionally be deleted after a successful transfer.

%prep
%setup -q

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(--prefix2)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR="$RPM_BUILD_ROOT"
iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog && %{__mv} ChangeLog.utf8 ChangeLog
iconv -f iso-8859-1 -t utf-8 -o TODO.utf8 TODO && %{__mv} TODO.utf8 TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog CREDITS INSTALL TODO README FAQ
%{_bindir}/imapsync
%attr(644, root, root) %{_mandir}/man1/imapsync.1*

%ChangeLog
* Sun Apr 24 2011 Nick Bebout <nb@fedoraproject.org> - 1.411-1
- Bugfix for "Folders in host2 not in host1" list when
- folders are given by --folder option or equivalent.
- The old list listed too many folders with --folder INBOX for example.
- Updated success list.
- Added --takebody option.
- Added  Gimap (Gmail imap) success.
- Added IMail 11.03 [host1] success
- Made --delete2 works with --uselib or --usecache
- No longer --useuid with --fast
- Debug output with permanentflags.
- Added isync url.
- Sleep 2 seconds after foldersizes calls.

* Sat Apr 2 2011 Nick Bebout <nb@fedoraproject.org> - 1.404-3
- Add dependency on Authen::NTLM

* Wed Mar 16 2011 Nick Bebout <nb@fedoraproject.org> - 1.404-2
- Remove dependency on Date::Manip and Mail::Box

* Mon Feb 21 2011 Nick Bebout <nb@fedoraproject.org> - 1.404-1
- Upgrade to 1.404

* Wed Feb 16 2011 Nick Bebout <nb@fedoraproject.org> - 1.398-1
- Upgrade to 1.398

* Sun Dec 5 2010 Nick Bebout <nb@fedoraproject.org> - 1.366-1
- Upgrade to 1.366

* Tue Aug 10 2010 Nick Bebout <nb@fedoraproject.org> - 1.340-1
- Upgrade to 1.340

* Thu Jul 22 2010 Nick Bebout <nb@fedoraproject.org> - 1.337-1
- Upgrade to 1.337

* Wed Jun 16 2010 Nick Bebout <nb@fedoraproject.org> - 1.315-1
- Upgrade to 1.315

* Fri May 28 2010 Nick Bebout <nb@fedoraproject.org> - 1.311-1
- Upgrade to 1.311
- License is now WTFPL

* Tue Aug 4 2009 Nick Bebout <nb@fedoraproject.org> - 1.286-1
- Upgrade to 1.286

* Fri Aug  8 2008 Lubomir Rintel <lkundrak@v3.sk> - 1.255-3
- Attempt to patch around too new Mail::IMAPClient

* Wed Aug  6 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.255-2
- Upstream release

* Tue May 27 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.252-2
- Upstream release
- Dependency fix (BZ#447800)

* Thu Apr 10 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.249-1
- Initial build.
